<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/cb_menu_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>03/19/85  cb_menu_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>
<span id="L4" class="LineNr">  4 </span>The cb_menu_ subroutine allows a COBOL program to use the Multics menu
<span id="L5" class="LineNr">  5 </span>facility <span class="textRainbow_lv0_p0">(</span>menu_<span class="textRainbow_lv0_p0">)</span>.  Through cb_menu_ a COBOL program may create a menu
<span id="L6" class="LineNr">  6 </span>object, display the menu, and get a user-entered selection from a menu.
<span id="L7" class="LineNr">  7 </span>Once a menu object has been created, the COBOL program can use this
<span id="L8" class="LineNr">  8 </span>menu object by referencing it via a menu-id returned to the caller when
<span id="L9" class="LineNr">  9 </span>the menu object was created or when a stored menu object was retrieved.
<span id="L10" class="LineNr"> 10 </span>
<span id="L11" class="LineNr"> 11 </span>The functionality available is provided through the various entry
<span id="L12" class="LineNr"> 12 </span>points described below.
<span id="L13" class="LineNr"> 13 </span>
<span id="L14" class="LineNr"> 14 </span>
<span id="L15" class="LineNr"> 15 </span>Entry points in cb_menu_:
<span id="L16" class="LineNr"> 16 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L17" class="LineNr"> 17 </span>
<span id="L18" class="LineNr"> 18 </span>
<span id="L19" class="LineNr"> 19 </span>:Entry:  create:  03/19/85 cb_menu_$create
<span id="L20" class="LineNr"> 20 </span>
<span id="L21" class="LineNr"> 21 </span>
<span id="L22" class="LineNr"> 22 </span>Function:  Utilized to create a menu-object.  Returns a menu-id which
<span id="L23" class="LineNr"> 23 </span>may be subsequently used by other entry points.
<span id="L24" class="LineNr"> 24 </span>
<span id="L25" class="LineNr"> 25 </span>
<span id="L26" class="LineNr"> 26 </span>Syntax:
<span id="L27" class="LineNr"> 27 </span>   declarations:
<span id="L28" class="LineNr"> 28 </span>     01  choices-table.
<span id="L29" class="LineNr"> 29 </span>         02 choices     PIC X<span class="textRainbow_lv0_p0">(</span>n1<span class="textRainbow_lv0_p0">)</span> OCCURS <span class="textRainbow_lv0_p0">(</span>m1<span class="textRainbow_lv0_p0">)</span> TIMES.
<span id="L30" class="LineNr"> 30 </span>     01  headers-table.
<span id="L31" class="LineNr"> 31 </span>         02 headers     PIC X<span class="textRainbow_lv0_p0">(</span>n2<span class="textRainbow_lv0_p0">)</span> OCCURS <span class="textRainbow_lv0_p0">(</span>m2<span class="textRainbow_lv0_p0">)</span> TIMES.
<span id="L32" class="LineNr"> 32 </span>     01  trailers-table.
<span id="L33" class="LineNr"> 33 </span>         02 trailers    PIC X<span class="textRainbow_lv0_p0">(</span>n3<span class="textRainbow_lv0_p0">)</span> OCCURS <span class="textRainbow_lv0_p0">(</span>m3<span class="textRainbow_lv0_p0">)</span> TIMES.
<span id="L34" class="LineNr"> 34 </span>     01  keys-table.
<span id="L35" class="LineNr"> 35 </span>         02 keys        PIC X<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span>  OCCURS <span class="textRainbow_lv0_p0">(</span>m4<span class="textRainbow_lv0_p0">)</span> TIMES.
<span id="L36" class="LineNr"> 36 </span>     01  menu-format.
<span id="L37" class="LineNr"> 37 </span>         02 menu_version USAGE IS COMP-6
<span id="L38" class="LineNr"> 38 </span>         02 constraints USAGE IS COMP-6
<span id="L39" class="LineNr"> 39 </span>            03  max-width.
<span id="L40" class="LineNr"> 40 </span>            03  max-height.
<span id="L41" class="LineNr"> 41 </span>
<span id="L42" class="LineNr"> 42 </span>
<span id="L43" class="LineNr"> 43 </span>         02  no-of-columns USAGE IS COMP-6.
<span id="L44" class="LineNr"> 44 </span>         02  flags.
<span id="L45" class="LineNr"> 45 </span>            03  center-headers  PIC 9<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span>.
<span id="L46" class="LineNr"> 46 </span>            03  center-trailers PIC 9<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span>.
<span id="L47" class="LineNr"> 47 </span>         02  pad-char  PIC X<span class="textRainbow_lv0_p0">(</span>1<span class="textRainbow_lv0_p0">)</span>.
<span id="L48" class="LineNr"> 48 </span>
<span id="L49" class="LineNr"> 49 </span>     01  menu-needs  USAGE IS COMP-6.
<span id="L50" class="LineNr"> 50 </span>         02  lines-needed.
<span id="L51" class="LineNr"> 51 </span>         02  width-needed.
<span id="L52" class="LineNr"> 52 </span>         02  no-of-options.
<span id="L53" class="LineNr"> 53 </span>
<span id="L54" class="LineNr"> 54 </span>     77  menu-id   USAGE IS COMP-6.
<span id="L55" class="LineNr"> 55 </span>     77  ret-code  USAGE IS COMP-6.
<span id="L56" class="LineNr"> 56 </span>   call &quot;cb_menu_$create&quot; USING choices-table, headers-table,
<span id="L57" class="LineNr"> 57 </span>          trailers-table, menu-format, keys-table, menu-needs, menu-id,
<span id="L58" class="LineNr"> 58 </span>          ret-code.
<span id="L59" class="LineNr"> 59 </span>
<span id="L60" class="LineNr"> 60 </span>
<span id="L61" class="LineNr"> 61 </span>Arguments:
<span id="L62" class="LineNr"> 62 </span>choices-table
<span id="L63" class="LineNr"> 63 </span>   is  a  table of  elementary data  items  which are  the text  of the
<span id="L64" class="LineNr"> 64 </span>   options  that the  user wishes  to display in  the menu.   n1 is the
<span id="L65" class="LineNr"> 65 </span>   length,  in characters,  of the longest  character string comprising
<span id="L66" class="LineNr"> 66 </span>   the text  of an option.   m1 is the  extent of the  table, i.e., the
<span id="L67" class="LineNr"> 67 </span>   number of options  in the menu being described.   This table must be
<span id="L68" class="LineNr"> 68 </span>   at least of extent 1.
<span id="L69" class="LineNr"> 69 </span>headers-table
<span id="L70" class="LineNr"> 70 </span>   is a  table of elementary data  items to be displayed  at the top of
<span id="L71" class="LineNr"> 71 </span>   the menu.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>  n2 is the length, in  characters, of the longest
<span id="L72" class="LineNr"> 72 </span>   header specified.  m2  is the extent of the  table, i.e., the number
<span id="L73" class="LineNr"> 73 </span>   of headers <span class="textRainbow_lv0_p0">(</span>lines<span class="textRainbow_lv0_p0">)</span>  desired.  At least one header  must be specified
<span id="L74" class="LineNr"> 74 </span>   <span class="textRainbow_lv0_p0">(</span>if the first header is set to space<span class="textRainbow_lv1_p0">(</span>s<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> no headers will be used<span class="textRainbow_lv0_p0">)</span>.
<span id="L75" class="LineNr"> 75 </span>
<span id="L76" class="LineNr"> 76 </span>
<span id="L77" class="LineNr"> 77 </span>trailers-table
<span id="L78" class="LineNr"> 78 </span>   is  an  table of  trailers <span class="textRainbow_lv0_p0">(</span>displayed  immediately below  the menu<span class="textRainbow_lv0_p0">)</span>.
<span id="L79" class="LineNr"> 79 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> n3, m3, are analogous to n2, m2 respectively.
<span id="L80" class="LineNr"> 80 </span>menu-format
<span id="L81" class="LineNr"> 81 </span>   is  a  group item  defining the  format of  the menu  being created.
<span id="L82" class="LineNr"> 82 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>  In  the  COBOL program  the  caller is  responsible for
<span id="L83" class="LineNr"> 83 </span>   setting the following elementary data items:
<span id="L84" class="LineNr"> 84 </span>      menu-version        the version number of the menu facility.
<span id="L85" class="LineNr"> 85 </span>                          <span class="textRainbow_lv0_p0">(</span>only version 1 is currently defined<span class="textRainbow_lv0_p0">)</span>
<span id="L86" class="LineNr"> 86 </span>      max-width           maximum width of the window on which the
<span id="L87" class="LineNr"> 87 </span>                          menu is to be displayed.
<span id="L88" class="LineNr"> 88 </span>      max-height          maximum height of window on which the
<span id="L89" class="LineNr"> 89 </span>                          menu is to be displayed.
<span id="L90" class="LineNr"> 90 </span>      no-of-columns       number of columns to be used to display
<span id="L91" class="LineNr"> 91 </span>                          the options.
<span id="L92" class="LineNr"> 92 </span>      center-headers      0 or 1; 0 = no, 1 = yes.
<span id="L93" class="LineNr"> 93 </span>      center-trailers     0 or 1 <span class="textRainbow_lv0_p0">(</span>same as center-headers<span class="textRainbow_lv0_p0">)</span>
<span id="L94" class="LineNr"> 94 </span>
<span id="L95" class="LineNr"> 95 </span>
<span id="L96" class="LineNr"> 96 </span>keys-table
<span id="L97" class="LineNr"> 97 </span>   is a table <span class="textRainbow_lv0_p0">(</span>maximum value of m4 is 61<span class="textRainbow_lv0_p0">)</span> that identifies the keystroke
<span id="L98" class="LineNr"> 98 </span>   to be  associated with each  choice.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> This table  must be at
<span id="L99" class="LineNr"> 99 </span>   least as long as the number of choices in the menu.  Each element in
<span id="L100" class="LineNr">100 </span>   the table must be unique.
<span id="L101" class="LineNr">101 </span>menu-needs
<span id="L102" class="LineNr">102 </span>   a group  item that contains  menu related information  on successful
<span id="L103" class="LineNr">103 </span>   execution of call.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L104" class="LineNr">104 </span>      Returned information:
<span id="L105" class="LineNr">105 </span>      lines-needed        the number of lines required
<span id="L106" class="LineNr">106 </span>                          to display the menu.
<span id="L107" class="LineNr">107 </span>      width-needed        the number of columns needed
<span id="L108" class="LineNr">108 </span>                          to display the menu.
<span id="L109" class="LineNr">109 </span>      no-of-options       the number of options defined
<span id="L110" class="LineNr">110 </span>                          in the menu.
<span id="L111" class="LineNr">111 </span>
<span id="L112" class="LineNr">112 </span>
<span id="L113" class="LineNr">113 </span>menu-id
<span id="L114" class="LineNr">114 </span>   the menu-object identifier <span class="textRainbow_lv0_p0">(</span>i.e.<span class="textRainbow_lv0_o0">,</span> it  is the menu object &quot;pointer&quot;.<span class="textRainbow_lv0_p0">)</span>
<span id="L115" class="LineNr">115 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>  It  must not  be  altered in  any  way by  the application
<span id="L116" class="LineNr">116 </span>   program.
<span id="L117" class="LineNr">117 </span>ret-code
<span id="L118" class="LineNr">118 </span>   return code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L119" class="LineNr">119 </span>
<span id="L120" class="LineNr">120 </span>
<span id="L121" class="LineNr">121 </span>:Entry:  delete:  03/19/85 cb_menu_$delete
<span id="L122" class="LineNr">122 </span>
<span id="L123" class="LineNr">123 </span>
<span id="L124" class="LineNr">124 </span>Function:  Deletes a menu object from a given value segment.
<span id="L125" class="LineNr">125 </span>
<span id="L126" class="LineNr">126 </span>
<span id="L127" class="LineNr">127 </span>Syntax:
<span id="L128" class="LineNr">128 </span>   declarations:
<span id="L129" class="LineNr">129 </span>     77   dir-name      PIC X<span class="textRainbow_lv0_p0">(</span>168<span class="textRainbow_lv0_p0">)</span>.
<span id="L130" class="LineNr">130 </span>     77   entry-name    PIC X<span class="textRainbow_lv0_p0">(</span>32<span class="textRainbow_lv0_p0">)</span>.
<span id="L131" class="LineNr">131 </span>     77   name-of-menu  PIC X<span class="textRainbow_lv0_p0">(</span>32<span class="textRainbow_lv0_p0">)</span>.
<span id="L132" class="LineNr">132 </span>     77   ret-code      USAGE IS COMP-6.
<span id="L133" class="LineNr">133 </span>   call &quot;cb_menu_$delete&quot; USING dir-name, entry-name, name-of-menu,
<span id="L134" class="LineNr">134 </span>          ret-code.
<span id="L135" class="LineNr">135 </span>
<span id="L136" class="LineNr">136 </span>
<span id="L137" class="LineNr">137 </span>Arguments:
<span id="L138" class="LineNr">138 </span>dir-name
<span id="L139" class="LineNr">139 </span>   pathname of the directory containing the menu object.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L140" class="LineNr">140 </span>entry-name
<span id="L141" class="LineNr">141 </span>   entry name of value segment containing the menu object.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> The
<span id="L142" class="LineNr">142 </span>   suffix &quot;value&quot; need not be specified.
<span id="L143" class="LineNr">143 </span>name-of-menu
<span id="L144" class="LineNr">144 </span>   name  used  to identify  the menu  object when  the menu  object was
<span id="L145" class="LineNr">145 </span>   stored.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L146" class="LineNr">146 </span>ret-code
<span id="L147" class="LineNr">147 </span>   return code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L148" class="LineNr">148 </span>
<span id="L149" class="LineNr">149 </span>
<span id="L150" class="LineNr">150 </span>:Entry:  describe:  03/19/85 cb_menu_$describe
<span id="L151" class="LineNr">151 </span>
<span id="L152" class="LineNr">152 </span>
<span id="L153" class="LineNr">153 </span>Function:   Returns information  about a  menu object.   It returns the
<span id="L154" class="LineNr">154 </span>number  of  options in  the menu,  the  number of  lines and  number of
<span id="L155" class="LineNr">155 </span>columns  required  to  display  the  menu.   It  is  primarily  used to
<span id="L156" class="LineNr">156 </span>determine if the menu can be displayed in a given window.
<span id="L157" class="LineNr">157 </span>
<span id="L158" class="LineNr">158 </span>
<span id="L159" class="LineNr">159 </span>Syntax:
<span id="L160" class="LineNr">160 </span>   declarations:
<span id="L161" class="LineNr">161 </span>     01  menu-needs  USAGE IS COMP-6.
<span id="L162" class="LineNr">162 </span>         02  lines-needed.
<span id="L163" class="LineNr">163 </span>         02  width-needed.
<span id="L164" class="LineNr">164 </span>         02  no-of-options.
<span id="L165" class="LineNr">165 </span>
<span id="L166" class="LineNr">166 </span>     77  menu-id    USAGE IS COMP-6.
<span id="L167" class="LineNr">167 </span>     77  ret-code   USAGE IS COMP-6.
<span id="L168" class="LineNr">168 </span>   call &quot;cb_menu_$describe&quot; USING menu-id, menu-needs, ret-code.
<span id="L169" class="LineNr">169 </span>
<span id="L170" class="LineNr">170 </span>
<span id="L171" class="LineNr">171 </span>Arguments:
<span id="L172" class="LineNr">172 </span>menu-id
<span id="L173" class="LineNr">173 </span>   the    menu    identifier    returned    by    cb_menu_$create   <span class="textRainbow_lv0_p0">(</span>or
<span id="L174" class="LineNr">174 </span>   cb_menu_$retrieve in  cases where the menu  object has been stored<span class="textRainbow_lv0_p0">)</span>.
<span id="L175" class="LineNr">175 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L176" class="LineNr">176 </span>menu-needs
<span id="L177" class="LineNr">177 </span>   a group  item that contains  menu related information  on successful
<span id="L178" class="LineNr">178 </span>   execution of call.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L179" class="LineNr">179 </span>      Returned information:
<span id="L180" class="LineNr">180 </span>      lines-needed        the number of lines needed to
<span id="L181" class="LineNr">181 </span>                          display the menu.
<span id="L182" class="LineNr">182 </span>      width-needed        the number of columns needed
<span id="L183" class="LineNr">183 </span>                          to display the menu.
<span id="L184" class="LineNr">184 </span>      no-of-option        the number of options defined
<span id="L185" class="LineNr">185 </span>                          in the menu.
<span id="L186" class="LineNr">186 </span>ret-code
<span id="L187" class="LineNr">187 </span>   return code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L188" class="LineNr">188 </span>
<span id="L189" class="LineNr">189 </span>
<span id="L190" class="LineNr">190 </span>:Entry:  destroy:  03/19/85 cb_menu_$destroy
<span id="L191" class="LineNr">191 </span>
<span id="L192" class="LineNr">192 </span>
<span id="L193" class="LineNr">193 </span>Function:   Used to  free storage  of a menu  <span class="textRainbow_lv0_p0">(</span>not to  be confused with
<span id="L194" class="LineNr">194 </span>cb_menu_$delete<span class="textRainbow_lv0_o0">,</span> which is  used to delete the menu  object from a value
<span id="L195" class="LineNr">195 </span>segment<span class="textRainbow_lv0_p0">)</span>.  Destroying the menu has no effect on the screen contents.
<span id="L196" class="LineNr">196 </span>
<span id="L197" class="LineNr">197 </span>
<span id="L198" class="LineNr">198 </span>Syntax:
<span id="L199" class="LineNr">199 </span>   declarations:
<span id="L200" class="LineNr">200 </span>     77  menu-id   USAGE IS COMP-6.
<span id="L201" class="LineNr">201 </span>     77  ret-code  USAGE IS COMP-6.
<span id="L202" class="LineNr">202 </span>   call &quot;cb_menu_$destroy&quot; USING  menu-id, ret-code.
<span id="L203" class="LineNr">203 </span>
<span id="L204" class="LineNr">204 </span>
<span id="L205" class="LineNr">205 </span>
<span id="L206" class="LineNr">206 </span>Arguments:
<span id="L207" class="LineNr">207 </span>menu-id
<span id="L208" class="LineNr">208 </span>   menu  identifier returned  by cb_menu_$create  or cb_menu_$retrieve.
<span id="L209" class="LineNr">209 </span>   <span class="textRainbow_lv0_p0">(</span>Input/Output<span class="textRainbow_lv0_p0">)</span> <span class="textRainbow_lv0_p0">(</span>If usage-mode is 0 <span class="textRainbow_lv1_p0">(</span>see cb_menu_$init2<span class="textRainbow_lv1_p0">)</span> this operand
<span id="L210" class="LineNr">210 </span>   will be ignored.<span class="textRainbow_lv0_p0">)</span>  Set to an  invalid value on return to prevent the
<span id="L211" class="LineNr">211 </span>   old menu-id from being accidentally used.
<span id="L212" class="LineNr">212 </span>ret-code
<span id="L213" class="LineNr">213 </span>   return code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> <span class="textRainbow_lv0_p0">(</span>See Appendix B.<span class="textRainbow_lv0_p0">)</span>
<span id="L214" class="LineNr">214 </span>
<span id="L215" class="LineNr">215 </span>
<span id="L216" class="LineNr">216 </span>:Entry:  display:  03/19/85 cb_menu_$display
<span id="L217" class="LineNr">217 </span>
<span id="L218" class="LineNr">218 </span>
<span id="L219" class="LineNr">219 </span>Function:  Invoked to display a menu in a given window.
<span id="L220" class="LineNr">220 </span>
<span id="L221" class="LineNr">221 </span>
<span id="L222" class="LineNr">222 </span>Syntax
<span id="L223" class="LineNr">223 </span>   declarations:
<span id="L224" class="LineNr">224 </span>     77  window-id    USAGE IS COMP-6.
<span id="L225" class="LineNr">225 </span>     77  menu-id      USAGE IS COMP-6.
<span id="L226" class="LineNr">226 </span>     77  ret-code     USAGE IS COMP-6.
<span id="L227" class="LineNr">227 </span>   call &quot;cb_menu_$display&quot; USING  window-id, menu-id, ret-code.
<span id="L228" class="LineNr">228 </span>
<span id="L229" class="LineNr">229 </span>
<span id="L230" class="LineNr">230 </span>
<span id="L231" class="LineNr">231 </span>Arguments:
<span id="L232" class="LineNr">232 </span>window-id
<span id="L233" class="LineNr">233 </span>   a  window  identifier  returned  by  cb_window_$create  entry point.
<span id="L234" class="LineNr">234 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>  If  usage-mode  =  0  this  operand  will  be  ignored <span class="textRainbow_lv0_p0">(</span>see
<span id="L235" class="LineNr">235 </span>   cb_menu_$init2<span class="textRainbow_lv0_p0">)</span>.
<span id="L236" class="LineNr">236 </span>menu-id
<span id="L237" class="LineNr">237 </span>   menu  identifier  returned  when  the  menu  object  was  created or
<span id="L238" class="LineNr">238 </span>   retrieved.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L239" class="LineNr">239 </span>ret-code
<span id="L240" class="LineNr">240 </span>   return code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L241" class="LineNr">241 </span>
<span id="L242" class="LineNr">242 </span>
<span id="L243" class="LineNr">243 </span>:Entry:  get_choice:  03/19/85 cb_menu_$get_choice
<span id="L244" class="LineNr">244 </span>
<span id="L245" class="LineNr">245 </span>
<span id="L246" class="LineNr">246 </span>Function:   Returns  the  choice  made  by  the  user,  i.e.,  a number
<span id="L247" class="LineNr">247 </span>representing either  the menu item  chosen or the function  key <span class="textRainbow_lv0_p0">(</span>or its
<span id="L248" class="LineNr">248 </span>equivalent escape sequence<span class="textRainbow_lv0_p0">)</span> entered.
<span id="L249" class="LineNr">249 </span>
<span id="L250" class="LineNr">250 </span>
<span id="L251" class="LineNr">251 </span>Syntax:
<span id="L252" class="LineNr">252 </span>   declarations:
<span id="L253" class="LineNr">253 </span>     77    function-key-info  PIC X<span class="textRainbow_lv0_p0">(</span>n1<span class="textRainbow_lv0_p0">)</span>.
<span id="L254" class="LineNr">254 </span>     77    window-id          USAGE IS COMP-6.
<span id="L255" class="LineNr">255 </span>     77    menu-id            USAGE IS COMP-6.
<span id="L256" class="LineNr">256 </span>     77    fkeys              USAGE IS COMP-6.
<span id="L257" class="LineNr">257 </span>     77    selection          USAGE IS COMP-6.
<span id="L258" class="LineNr">258 </span>     77    ret-code           USAGE IS COMP-6.
<span id="L259" class="LineNr">259 </span>   call &quot;cb_menu_$get_choice&quot; USING window-id, menu-id,
<span id="L260" class="LineNr">260 </span>        function-key-info, fkeys, selection, ret-code.
<span id="L261" class="LineNr">261 </span>
<span id="L262" class="LineNr">262 </span>
<span id="L263" class="LineNr">263 </span>Arguments:
<span id="L264" class="LineNr">264 </span>window-id
<span id="L265" class="LineNr">265 </span>   a window  identifier returned by the  cb_window_$create entry point.
<span id="L266" class="LineNr">266 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>  If  usage-mode  =  0  this  operand  will  be  ignored <span class="textRainbow_lv0_p0">(</span>see
<span id="L267" class="LineNr">267 </span>   cb_menu_$init2<span class="textRainbow_lv0_p0">)</span>.
<span id="L268" class="LineNr">268 </span>menu-id
<span id="L269" class="LineNr">269 </span>   menu  identifier  returned by  cb_menu_$create  or cb_menu_$retrive.
<span id="L270" class="LineNr">270 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L271" class="LineNr">271 </span>
<span id="L272" class="LineNr">272 </span>
<span id="L273" class="LineNr">273 </span>function-key-info
<span id="L274" class="LineNr">274 </span>   a character  elementary data item  <span class="textRainbow_lv0_p0">(</span>n1 as required<span class="textRainbow_lv0_p0">)</span>  used to specify
<span id="L275" class="LineNr">275 </span>   the  role of  function keys  <span class="textRainbow_lv0_p0">(</span>if they  exist for  the terminal being
<span id="L276" class="LineNr">276 </span>   used<span class="textRainbow_lv0_p0">)</span> or an equivalent set of  escape sequences if the terminal does
<span id="L277" class="LineNr">277 </span>   not  have function  keys or  not the  function keys  required by the
<span id="L278" class="LineNr">278 </span>   application.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>  The objective is  to let the  application use
<span id="L279" class="LineNr">279 </span>   the terminal's function keys if possible, else specify key sequences
<span id="L280" class="LineNr">280 </span>   to be used to simulate function  keys.  Each character in the string
<span id="L281" class="LineNr">281 </span>   corresponds to one function key.  If  the character is a space, then
<span id="L282" class="LineNr">282 </span>   it is not relevant if the  corresponding function key exists or not.
<span id="L283" class="LineNr">283 </span>   If  the character  is not  a space, that  character will  be used to
<span id="L284" class="LineNr">284 </span>   simulate a function key if the terminal does not have function keys.
<span id="L285" class="LineNr">285 </span>   If  the terminal  does not have  a function key  for every non-space
<span id="L286" class="LineNr">286 </span>   character  in  the string,  then  function keys  will  be simulated.
<span id="L287" class="LineNr">287 </span>   Thus, the string &quot; ?p q&quot; means that the caller does not care whether
<span id="L288" class="LineNr">288 </span>   the terminal  has function key 0  or 3, but the  caller does wish to
<span id="L289" class="LineNr">289 </span>   use function  keys 1,2, and 4.   If any of these  3 function keys is
<span id="L290" class="LineNr">290 </span>   not  present on  the terminal, then  esc-?  will  substitute for F1,
<span id="L291" class="LineNr">291 </span>   esc-p will substitute for F2, and esc-q will substitute for F4.
<span id="L292" class="LineNr">292 </span>
<span id="L293" class="LineNr">293 </span>
<span id="L294" class="LineNr">294 </span>fkeys
<span id="L295" class="LineNr">295 </span>   fkeys = 1  user entered a function key or  escape sequence fkeys = 0
<span id="L296" class="LineNr">296 </span>   user selected an option <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L297" class="LineNr">297 </span>selection
<span id="L298" class="LineNr">298 </span>   is a number  representing the choice made by  the user.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> If
<span id="L299" class="LineNr">299 </span>   the  user has  chosen an option,  it is  a number between  1 and the
<span id="L300" class="LineNr">300 </span>   highest defined option.  If the user  has entered a function key, or
<span id="L301" class="LineNr">301 </span>   escape  sequence  simulating  a  function  key,  it  is  the  number
<span id="L302" class="LineNr">302 </span>   associated with the function key.
<span id="L303" class="LineNr">303 </span>ret-code
<span id="L304" class="LineNr">304 </span>   return code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> <span class="textRainbow_lv0_p0">(</span>See Appendix B.<span class="textRainbow_lv0_p0">)</span>
<span id="L305" class="LineNr">305 </span>
<span id="L306" class="LineNr">306 </span>
<span id="L307" class="LineNr">307 </span>:Entry:  init1:  init2:  03/19/85 cb_menu_$init1, cb_menu_$init2
<span id="L308" class="LineNr">308 </span>
<span id="L309" class="LineNr">309 </span>
<span id="L310" class="LineNr">310 </span>Function:   These must  be the  first calls  made to  the menu manager.
<span id="L311" class="LineNr">311 </span>They  set up  the necessary  environment for  the menu  application and
<span id="L312" class="LineNr">312 </span>return information concerning the user I/O window.
<span id="L313" class="LineNr">313 </span>
<span id="L314" class="LineNr">314 </span>
<span id="L315" class="LineNr">315 </span>Syntax:
<span id="L316" class="LineNr">316 </span>   declarations:
<span id="L317" class="LineNr">317 </span>     inter    code
<span id="L318" class="LineNr">318 </span>     integer  usage-mode
<span id="L319" class="LineNr">319 </span>   call cb_menu_$init1
<span id="L320" class="LineNr">320 </span>   call cb_menu_$init2 <span class="textRainbow_lv0_p0">(</span>usage-mode<span class="textRainbow_lv0_o0">,</span> user-window-lines<span class="textRainbow_lv0_o0">,</span>
<span id="L321" class="LineNr">321 </span>        user-window-columns<span class="textRainbow_lv0_o0">,</span> user-window-id<span class="textRainbow_lv0_o0">,</span> ret-code<span class="textRainbow_lv0_p0">)</span>
<span id="L322" class="LineNr">322 </span>
<span id="L323" class="LineNr">323 </span>
<span id="L324" class="LineNr">324 </span>Arguments:
<span id="L325" class="LineNr">325 </span>usage-mode
<span id="L326" class="LineNr">326 </span>   usage-mode  =  0 means  that  the caller  does  not wish  to  do any
<span id="L327" class="LineNr">327 </span>   explicit window management.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> When he/she wishes to display a
<span id="L328" class="LineNr">328 </span>   menu, the window required will be automatically created.  This means
<span id="L329" class="LineNr">329 </span>   that the application  will operate in a two  window mode, the window
<span id="L330" class="LineNr">330 </span>   containing the menu,  and the user_io window.  Both  windows will be
<span id="L331" class="LineNr">331 </span>   managed  automatically  for the  user.  If  the user  specifies this
<span id="L332" class="LineNr">332 </span>   mode,  all calls  to the cb_window_  subroutine will  be ignored and
<span id="L333" class="LineNr">333 </span>   will  return an  appropriate error  code.  See  Error Code Handling,
<span id="L334" class="LineNr">334 </span>   below.  All calls  to the cb_menu_ subroutine that  require a window
<span id="L335" class="LineNr">335 </span>   identifier will ignore the user provided window-id.
<span id="L336" class="LineNr">336 </span>   usage-mode = 1  means that the user wishes to  define the number and
<span id="L337" class="LineNr">337 </span>   characteristics of the windows to be used in the application.  Thus,
<span id="L338" class="LineNr">338 </span>   calls to cb_window_  will be supported and, for  the entry points of
<span id="L339" class="LineNr">339 </span>   cb_menu_  that require  a window identifier,  the caller  must use a
<span id="L340" class="LineNr">340 </span>   legal window-id <span class="textRainbow_lv0_p0">(</span>returned by cb_window_$create<span class="textRainbow_lv0_p0">)</span>.
<span id="L341" class="LineNr">341 </span>
<span id="L342" class="LineNr">342 </span>
<span id="L343" class="LineNr">343 </span>user-window-lines
<span id="L344" class="LineNr">344 </span>   the  number of  physical lines  <span class="textRainbow_lv0_p0">(</span>rows<span class="textRainbow_lv0_p0">)</span> of  the user  i/o window when
<span id="L345" class="LineNr">345 </span>   cb_menu_$init is  called <span class="textRainbow_lv0_p0">(</span>which must  be the first  cb_menu_ call in
<span id="L346" class="LineNr">346 </span>   the application.<span class="textRainbow_lv0_p0">)</span>  Undefined if usage-mode = 0.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L347" class="LineNr">347 </span>user-window-columns
<span id="L348" class="LineNr">348 </span>   the  number  of  columns  of  the  user  i/o  window  at  time  that
<span id="L349" class="LineNr">349 </span>   cb_menu_$init is called <span class="textRainbow_lv0_p0">(</span>see immediately above<span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> Undefined
<span id="L350" class="LineNr">350 </span>   if usage-mode = 0.
<span id="L351" class="LineNr">351 </span>user-window-id
<span id="L352" class="LineNr">352 </span>   window  identifier of  the user  i/o window.   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> Undefined if
<span id="L353" class="LineNr">353 </span>   usage-mode = 0.
<span id="L354" class="LineNr">354 </span>ret-code
<span id="L355" class="LineNr">355 </span>   return code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L356" class="LineNr">356 </span>
<span id="L357" class="LineNr">357 </span>
<span id="L358" class="LineNr">358 </span>:Entry:  list:  03/19/85 cb_menu_$list
<span id="L359" class="LineNr">359 </span>
<span id="L360" class="LineNr">360 </span>
<span id="L361" class="LineNr">361 </span>Function:  Used  to list the  menu object<span class="textRainbow_lv0_p0">(</span>s<span class="textRainbow_lv0_p0">)</span>, stored  in value segment.
<span id="L362" class="LineNr">362 </span>The menu objects selected are those  that match the string input by the
<span id="L363" class="LineNr">363 </span>caller.
<span id="L364" class="LineNr">364 </span>
<span id="L365" class="LineNr">365 </span>
<span id="L366" class="LineNr">366 </span>Syntax:
<span id="L367" class="LineNr">367 </span>   declarations:
<span id="L368" class="LineNr">368 </span>     01  matched-names.
<span id="L369" class="LineNr">369 </span>         02  no-of-matches   USAGE IS COMP-6.
<span id="L370" class="LineNr">370 </span>         02  menu-names      PIC X<span class="textRainbow_lv0_p0">(</span>32<span class="textRainbow_lv0_p0">)</span>  OCCURS <span class="textRainbow_lv0_p0">(</span>m1<span class="textRainbow_lv0_p0">)</span> TIMES.
<span id="L371" class="LineNr">371 </span>
<span id="L372" class="LineNr">372 </span>     77  dir-name       PIC X<span class="textRainbow_lv0_p0">(</span>168<span class="textRainbow_lv0_p0">)</span>.
<span id="L373" class="LineNr">373 </span>     77  entry-name     PIC X<span class="textRainbow_lv0_p0">(</span>32<span class="textRainbow_lv0_p0">)</span>.
<span id="L374" class="LineNr">374 </span>     77  match-string   PIC X<span class="textRainbow_lv0_p0">(</span>32<span class="textRainbow_lv0_p0">)</span>.
<span id="L375" class="LineNr">375 </span>     77  ret-code       USAGE IS COMP-6.
<span id="L376" class="LineNr">376 </span>   call &quot;cb_menu_$list&quot; USING dir-name, entry-name, match-string,
<span id="L377" class="LineNr">377 </span>        matched-names, ret-code.
<span id="L378" class="LineNr">378 </span>
<span id="L379" class="LineNr">379 </span>
<span id="L380" class="LineNr">380 </span>Arguments:
<span id="L381" class="LineNr">381 </span>dir-name
<span id="L382" class="LineNr">382 </span>   pathname of directory containing the menu object.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L383" class="LineNr">383 </span>entry-name
<span id="L384" class="LineNr">384 </span>   entry name of value segment containing the menu object.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> The
<span id="L385" class="LineNr">385 </span>   suffix &quot;value&quot; need not be specified.
<span id="L386" class="LineNr">386 </span>match-string
<span id="L387" class="LineNr">387 </span>   a character elementary data item that is to be used as the selection
<span id="L388" class="LineNr">388 </span>   criteria for determining  what menu object, if any,  is contained in
<span id="L389" class="LineNr">389 </span>   the  specified value  segment that  match <span class="textRainbow_lv0_p0">(</span>or  contain<span class="textRainbow_lv0_p0">)</span> this string.
<span id="L390" class="LineNr">390 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L391" class="LineNr">391 </span>
<span id="L392" class="LineNr">392 </span>
<span id="L393" class="LineNr">393 </span>no-of-matches
<span id="L394" class="LineNr">394 </span>   the number of matches found.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> If none, then it is 0.
<span id="L395" class="LineNr">395 </span>menu-names
<span id="L396" class="LineNr">396 </span>   On return, contains the names of  all menu objects, in the specified
<span id="L397" class="LineNr">397 </span>   value  segment,  that  match   the  character  string  match-string.
<span id="L398" class="LineNr">398 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> Note, if  m1 is not large enough to  contain all the names,
<span id="L399" class="LineNr">399 </span>   only m1 names will be returned.
<span id="L400" class="LineNr">400 </span>ret-code
<span id="L401" class="LineNr">401 </span>   return code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L402" class="LineNr">402 </span>
<span id="L403" class="LineNr">403 </span>
<span id="L404" class="LineNr">404 </span>:Entry:  retrieve:  03/19/85 cb_menu_$retrieve
<span id="L405" class="LineNr">405 </span>
<span id="L406" class="LineNr">406 </span>
<span id="L407" class="LineNr">407 </span>Function:   Used to  retrieve a menu  object previously  stored via the
<span id="L408" class="LineNr">408 </span>cb_menu_$store subroutine.
<span id="L409" class="LineNr">409 </span>
<span id="L410" class="LineNr">410 </span>
<span id="L411" class="LineNr">411 </span>Syntax:
<span id="L412" class="LineNr">412 </span>   declarations:
<span id="L413" class="LineNr">413 </span>     77  dir-name       PIC X<span class="textRainbow_lv0_p0">(</span>168<span class="textRainbow_lv0_p0">)</span>.
<span id="L414" class="LineNr">414 </span>     77  entry-name     PIC X<span class="textRainbow_lv0_p0">(</span>32<span class="textRainbow_lv0_p0">)</span>.
<span id="L415" class="LineNr">415 </span>     77  name-of-menu   PIC X<span class="textRainbow_lv0_p0">(</span>32<span class="textRainbow_lv0_p0">)</span>.
<span id="L416" class="LineNr">416 </span>     77  menu-id        USAGE IS COMP-6.
<span id="L417" class="LineNr">417 </span>     77  ret-code       USAGE IS COMP-6.
<span id="L418" class="LineNr">418 </span>   call &quot;cb_menu_$retrieve&quot; USING dir-name, entry-name, name-of-menu,
<span id="L419" class="LineNr">419 </span>        menu-id, ret-code.
<span id="L420" class="LineNr">420 </span>
<span id="L421" class="LineNr">421 </span>
<span id="L422" class="LineNr">422 </span>Arguments:
<span id="L423" class="LineNr">423 </span>dir-name
<span id="L424" class="LineNr">424 </span>   pathname of the directory containing the menu object.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L425" class="LineNr">425 </span>entry-name
<span id="L426" class="LineNr">426 </span>   entry  name of  value segment  containing menu  object.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> The
<span id="L427" class="LineNr">427 </span>   suffix &quot;value&quot; need not be specified.
<span id="L428" class="LineNr">428 </span>name-of-menu
<span id="L429" class="LineNr">429 </span>   name of the menu object used when the object was stored.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L430" class="LineNr">430 </span>menu-id
<span id="L431" class="LineNr">431 </span>   is the menu id returned by the call.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L432" class="LineNr">432 </span>ret-code
<span id="L433" class="LineNr">433 </span>   return code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L434" class="LineNr">434 </span>
<span id="L435" class="LineNr">435 </span>
<span id="L436" class="LineNr">436 </span>:Entry:  store:  03/19/85 cb_menu_$store
<span id="L437" class="LineNr">437 </span>
<span id="L438" class="LineNr">438 </span>
<span id="L439" class="LineNr">439 </span>Function:  Used to store a menu object in a specified value segment.
<span id="L440" class="LineNr">440 </span>
<span id="L441" class="LineNr">441 </span>
<span id="L442" class="LineNr">442 </span>Syntax:
<span id="L443" class="LineNr">443 </span>   declarations:
<span id="L444" class="LineNr">444 </span>     77  dir-name     PIC X<span class="textRainbow_lv0_p0">(</span>168<span class="textRainbow_lv0_p0">)</span>.
<span id="L445" class="LineNr">445 </span>     77  entry-name   PIC X<span class="textRainbow_lv0_p0">(</span>32<span class="textRainbow_lv0_p0">)</span>.
<span id="L446" class="LineNr">446 </span>     77  name-of-menu PIC X<span class="textRainbow_lv0_p0">(</span>32<span class="textRainbow_lv0_p0">)</span>.
<span id="L447" class="LineNr">447 </span>     77  create-seg   USAGE IS COMP-6.
<span id="L448" class="LineNr">448 </span>     77  menu-id      USAGE IS COMP-6.
<span id="L449" class="LineNr">449 </span>     77  ret-code     USAGE IS COMP-6.
<span id="L450" class="LineNr">450 </span>   call &quot;cb_menu_$store&quot; USING dir-name, entry-name, name-of-menu,
<span id="L451" class="LineNr">451 </span>        create-seg, menu-id, ret-code.
<span id="L452" class="LineNr">452 </span>
<span id="L453" class="LineNr">453 </span>
<span id="L454" class="LineNr">454 </span>Arguments:
<span id="L455" class="LineNr">455 </span>dir-name
<span id="L456" class="LineNr">456 </span>   pathname of  directory into which  the menu object is  to be placed.
<span id="L457" class="LineNr">457 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L458" class="LineNr">458 </span>entry-name
<span id="L459" class="LineNr">459 </span>   entry name of value segment into  which menu object is to be placed.
<span id="L460" class="LineNr">460 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> The suffix &quot;value&quot; need not be specified.
<span id="L461" class="LineNr">461 </span>name-of-menu
<span id="L462" class="LineNr">462 </span>   is the name to be assigned to the stored menu object.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L463" class="LineNr">463 </span>
<span id="L464" class="LineNr">464 </span>
<span id="L465" class="LineNr">465 </span>create-seg
<span id="L466" class="LineNr">466 </span>   create-seg  = 0  means do not  store if value  segment identified by
<span id="L467" class="LineNr">467 </span>   entry-name  does not  already exist.   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> create-seg  = 1 means
<span id="L468" class="LineNr">468 </span>   create value segment,  if it does not already  exist, and store menu
<span id="L469" class="LineNr">469 </span>   object in it.
<span id="L470" class="LineNr">470 </span>menu-id
<span id="L471" class="LineNr">471 </span>   is  the  menu  object  identifier  returned  by  cb_menu_$create  or
<span id="L472" class="LineNr">472 </span>   cb_menu_$retrieve.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L473" class="LineNr">473 </span>ret-code
<span id="L474" class="LineNr">474 </span>   return code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L475" class="LineNr">475 </span>
<span id="L476" class="LineNr">476 </span>
<span id="L477" class="LineNr">477 </span>:Entry:  terminate:  03/19/85 cb_menu_$terminate
<span id="L478" class="LineNr">478 </span>
<span id="L479" class="LineNr">479 </span>
<span id="L480" class="LineNr">480 </span>Function:   Must  be the  last call  to  the menu  manager in  the menu
<span id="L481" class="LineNr">481 </span>application.
<span id="L482" class="LineNr">482 </span>
<span id="L483" class="LineNr">483 </span>
<span id="L484" class="LineNr">484 </span>Syntax:
<span id="L485" class="LineNr">485 </span>declarations:  none
<span id="L486" class="LineNr">486 </span>     call &quot;cb_menu_$terminate&quot;.
<span id="L487" class="LineNr">487 </span>
<span id="L488" class="LineNr">488 </span>
<span id="L489" class="LineNr">489 </span>Arguments:
<span id="L490" class="LineNr">490 </span>   There are no arguments.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
